Bug 208057

Summary: KRunner crashed when trying to run application (memcpy, MediaWiki::results, Wikipedia::wikipediaFinished)
Product: [Plasma] krunner Reporter: SlashDevDsp <slashdevdsp>
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: andresbajotierra, darktears31, rich, sebas, wilderkde
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:

Description SlashDevDsp 2009-09-21 10:54:14 UTC
Version:            (using Devel)
Compiler:          g++ 4.3 
OS:                Linux
Installed from:    Compiled sources

krunner crashed when trying to run application bt below:

Application: Run Command Interface (kdeinit4), signal: Segmentation fault
[Current thread is 0 (LWP 8015)]

Thread 18 (Thread 0x7f3c81cef950 (LWP 8894)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c81cef060, parent=0xc66d10, th=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0xd90180) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0xd90180) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#9  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#10 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f3c814ee950 (LWP 8895)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c814ee060, parent=0xc66d10, th=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x143f780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x143f780) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#9  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#10 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f3c80ced950 (LWP 8896)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x14818b0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14818b0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c80ced060, parent=0xc66d10, th=0x14818b0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x14818b0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x14818b0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f3c804ec950 (LWP 8897)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x1485060) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1485060) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c804ec060, parent=0xc66d10, th=0x1485060) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x1485060) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x1485060) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f3c7fceb950 (LWP 8898)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x1487360) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1487360) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7fceb060, parent=0xc66d10, th=0x1487360) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x1487360) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x1487360) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f3c7f4ea950 (LWP 8899)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x148b2e0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148b2e0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148b2e0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7f4ea060, parent=0xc66d10, th=0x148b2e0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x148b2e0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x148b2e0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#8  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#9  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f3c7ece9950 (LWP 8900)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7ece9060, parent=0xc66d10, th=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x148c150) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x148c150) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#10 0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#11 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f3c7e4e8950 (LWP 8901)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7e4e8060, parent=0xc66d10, th=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#14 0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x148fc60) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#15 0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x148fc60) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#16 0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#17 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#18 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f3c7dce7950 (LWP 8902)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x148cd00) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148cd00) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x148cd00) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7dce7060, parent=0xc66d10, th=0x148cd00) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x148cd00) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x148cd00) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#8  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#9  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f3c7d4e6950 (LWP 8903)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7d4e6060, parent=0xc66d10, th=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x1493f30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x1493f30) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#10 0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#11 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f3c7cce5950 (LWP 8904)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7cce5060, parent=0xc66d10, th=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x1498d30) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x1498d30) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#10 0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#11 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f3c7c4e4950 (LWP 8905)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x149ab20) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x149ab20) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7c4e4060, parent=0xc66d10, th=0x149ab20) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x149ab20) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x149ab20) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f3c7bce3950 (LWP 8906)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x149d940) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x149d940) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7bce3060, parent=0xc66d10, th=0x149d940) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x149d940) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x149d940) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f3c7b4e2950 (LWP 8907)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x14a2780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a2780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7b4e2060, parent=0xc66d10, th=0x14a2780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x14a2780) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x14a2780) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f3c7ace1950 (LWP 8908)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x14a2df0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a2df0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7ace1060, parent=0xc66d10, th=0x14a2df0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x14a2df0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x14a2df0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#7  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#8  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3c7a4e0950 (LWP 8909)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0xc66d38, mutex=0xc943c0, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3c9aab4e74 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xc66d10, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f3c9aab7613 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#15 0x00007f3c9aab762c in ThreadWeaver::WorkingHardState::applyForWork (this=0xc94280, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#16 0x00007f3c9aab5b9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f3c7a4e0060, parent=0xc66d10, th=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#17 0x00007f3c9aab5ff9 in ThreadWeaver::Thread::run (this=0x14a66f0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#18 0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x14a66f0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#19 0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#20 0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#21 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3c74c23950 (LWP 8910)):
#0  0x00007f3ca49f72e9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f3ca4c757a9 in QWaitCondition::wait (this=0x1c42e80, mutex=0x1c42e78, time=18446744073709551615) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#2  0x00007f3ca38ad6fc in QHostInfoAgent::run (this=0x1c42e60) at /home/kde-devel/kdesvn/qt-copy/src/network/kernel/qhostinfo.cpp:260
#3  0x00007f3ca4c747d2 in QThreadPrivate::start (arg=0x1c42e60) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#4  0x00007f3ca49f33ba in start_thread () from /lib/libpthread.so.0
#5  0x00007f3ca1452fcd in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f3ca5239750 (LWP 8015)):
[KCrash Handler]
#5  0x00007f3ca13f1368 in memcpy () from /lib/libc.so.6
#6  0x00007f3ca4c9845c in QListData::detach2 (this=0x7fff6cdc7a70) at /usr/include/bits/string3.h:52
#7  0x00007f3c87e2303e in QList<MediaWiki::Result>::detach_helper (this=0x7f3c3aad7e90) at /home/kde-devel/qt4/include/QtCore/qlist.h:524
#8  0x00007f3c87e233d3 in MediaWiki::results (this=0x2118ff0) at /home/kde-devel/qt4/include/QtCore/qlist.h:111
#9  0x00007f3c87e22c31 in Wikipedia::wikipediaFinished (this=0x140d820, success=false) at /home/kde-devel/kdesvn/playground/base/plasma/runners/wikipedia/wikipedia.cpp:83
#10 0x00007f3c87e22e11 in Wikipedia::qt_metacall (this=0x140d820, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbc2bb0)
    at /home/kde-devel/kdesvn/playground/base/plasma/runners/wikipedia/wikipedia.moc:73
#11 0x00007f3ca4d6cd48 in QObject::event (this=0x140d820, e=0x1de90b0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qobject.cpp:1118
#12 0x00007f3ca205fced in QApplicationPrivate::notify_helper (this=0xb68cc0, receiver=0x140d820, e=0x1de90b0) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication.cpp:4057
#13 0x00007f3ca2067f1a in QApplication::notify (this=0xb68410, receiver=0x140d820, e=0x1de90b0) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication.cpp:4022
#14 0x00007f3ca31cd78b in KApplication::notify (this=0xb68410, receiver=0x140d820, event=0x1de90b0) at /home/kde-devel/kdesvn/kdelibs/kdeui/kernel/kapplication.cpp:302
#15 0x00007f3ca4d5cceb in QCoreApplication::notifyInternal (this=0xb68410, receiver=0x140d820, event=0x1de90b0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:610
#16 0x00007f3ca4d5d951 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xae4a40) at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:213
#17 0x00007f3ca4d86583 in postEventSourceDispatch (s=<value optimized out>) at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:218
#18 0x00007f3ca0abd20a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0x00007f3ca0ac08e0 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0x00007f3ca0ac0a7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0x00007f3ca4d8620f in QEventDispatcherGlib::processEvents (this=0xae73a0, flags=<value optimized out>) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:324
#22 0x00007f3ca20f739f in QGuiEventDispatcherGlib::processEvents (this=0x7f3c3aad7e90, flags=<value optimized out>) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:202
#23 0x00007f3ca4d5b592 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1826390976}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#24 0x00007f3ca4d5b95d in QEventLoop::exec (this=0x7fff6cdc8400, flags={i = 1826391056}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:200
#25 0x00007f3ca4d5dc14 in QCoreApplication::exec () at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:888
#26 0x00007f3c986415bc in kdemain (argc=1, argv=0xb185c0) at /home/kde-devel/kdesvn/kdebase/workspace/krunner/main.cpp:65
#27 0x0000000000407404 in launch (argc=1, _name=0xb282d8 "/home/kde-devel/kde/bin/krunner", args=<value optimized out>, cwd=0x0, envc=0, envs=0xb28300 "", reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x40a631 "0") at /home/kde-devel/kdesvn/kdelibs/kinit/kinit.cpp:705
#28 0x0000000000407c28 in handle_launcher_request (sock=8, who=<value optimized out>) at /home/kde-devel/kdesvn/kdelibs/kinit/kinit.cpp:1197
#29 0x00000000004081d5 in handle_requests (waitForPid=0) at /home/kde-devel/kdesvn/kdelibs/kinit/kinit.cpp:1390
#30 0x0000000000408d85 in main (argc=4, argv=0x7fff6cdc94a8, envp=0x7fff6cdc94d0) at /home/kde-devel/kdesvn/kdelibs/kinit/kinit.cpp:1825
Comment 1 Dario Andres 2009-09-21 14:10:41 UTC
The crash was caused by the Wikipedia runner from playground. Try disabling it.
Thanks
Comment 2 Jacopo De Simoi 2009-12-17 19:03:28 UTC
This is in fact a glibc bug, due to a race in free(), it should be fixed in 2.11.1

*** This bug has been marked as a duplicate of bug 196207 ***
Comment 3 Jacopo De Simoi 2009-12-17 19:06:16 UTC
wrong bug :P
Comment 4 Sebastian K├╝gler 2009-12-17 19:50:51 UTC
On Thursday 17 December 2009 19:03:35 Jacopo De Simoi wrote:
> https://bugs.kde.org/show_bug.cgi?id=208057
> 
> 
> Jacopo De Simoi <wilderkde@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |wilderkde@gmail.com
>          Resolution|                            |DUPLICATE
> 
> 
> 
> 
> --- Comment #2 from Jacopo De Simoi <wilderkde gmail com>  2009-12-17
>  19:03:28 --- This is in fact a glibc bug, due to a race in free(), it
>  should be fixed in 2.11.1
> 
> *** This bug has been marked as a duplicate of bug 196207 ***
> 

Do you have more information on this? KRunner has been pretty crashy lately, maybe 
it's worth poking packagers about this as well? Ubuntu ships glibc 2.10.1, so that's 
not enough...
Comment 5 Jacopo De Simoi 2009-12-17 20:01:37 UTC
You can check http://www.purinchu.net/wp/2009/11/16/malloc_check_-crashes/ and links therein for everything about that.

As a *workaround* you /should/ be able to avoid those crashes by disabling the check using the env variable MALLOC_CHECK_

The bug is a race condition in the free() method; due to the multi-threaded nature of krunner we suffered from it more than others, but there's really nothing that we can do about this.

Regards
Comment 6 Alexis MENARD 2009-12-17 21:33:58 UTC
According to this  :
Thread 1 (Thread 0x7f3ca5239750 (LWP 8015)):
[KCrash Handler]
#5  0x00007f3ca13f1368 in memcpy () from /lib/libc.so.6
#6  0x00007f3ca4c9845c in QListData::detach2 (this=0x7fff6cdc7a70) at
/usr/include/bits/string3.h:52
#7  0x00007f3c87e2303e in QList<MediaWiki::Result>::detach_helper

It seems that you end up in the crash that was explain here : http://labs.trolltech.com/blogs/2009/11/12/bc-break-in-46-against-previous-46/
Short : make clean  on the all KDE after rebuilding Qt.

So which Qt are you using and did you follow the blog post?
Comment 7 SlashDevDsp 2010-01-09 09:28:02 UTC
I don't seem to get this crash now - today's trunk and latest kde-qt stable git
Comment 8 Jacopo De Simoi 2010-01-09 10:43:26 UTC
Great, thanks